serial_debugging.h File Reference
`#include <Arduino.h>`

Go to the source code of this file.

## Macros

#define | DEBUG(x)
| Prints to serial. More...
#define | DEBUGLN(x)
| Prints to serial and starts a new line. More...
#define | DEBUG2(x, y)
| Prints two variables to serial. More...
#define | DEBUGLN2(x, y)
| Prints two variables to serial and starts a new line. More...

## Detailed Description

Macros for serial debugging messages.

## Macro Definition Documentation

#define DEBUG | ( |  | x | ) |

Prints to serial.

#define DEBUG2 | ( |  | x,
|  |  | y
| ) |  |

Prints two variables to serial.

#define DEBUGLN | ( |  | x | ) |

Prints to serial and starts a new line.

#define DEBUGLN2 | ( |  | x,
|  |  | y
| ) |  |

Prints two variables to serial and starts a new line.